#
# spec file for package contractor
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           contractor
Version:        0.3.5
Release:        1.6
Summary:        A desktop-wide extension service
License:        GPL-3.0-or-later
Group:          System/Daemons
URL:            https://elementary.io/
Source:         https://github.com/elementary/contractor/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  meson >= 0.44.4
BuildRequires:  pkgconfig
BuildRequires:  vala >= 0.28.0
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)

%description
An extension service that allows apps to use the exposed functionality of
registered apps. This way, applications do not have to have the functions
hard coded into them.

Designed for Elementary OS.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_bindir}/contractor
%{_datadir}/dbus-1/services/org.elementary.contractor.service

%changelog
* Mon Dec  5 2022 Dirk Müller <dmueller@suse.com>
- update to 0.3.5:
  * Fix install path for DBus service
* Fri Aug 17 2018 avvissu@yandex.by
- Update to 0.3.4:
  * Switch to Meson (#25)
* Sat Jun  9 2018 avvissu@yandex.by
- Update to 0.3.3:
  * Update README.md with GPG examples (#23)
  * Adding contract examples (#22)
  * Documentation on writing contract files (#21)
  * Remove unused make dist (#19)
  * Ignore git rather than bzr (#18)
  * Create .gitignore (#15)
  * Create CODE_OF_CONDUCT.md (#14)
  * Create COPYING (#13)
  * Add .travis.yml (#12)
  * Create README.md (#11)
  * Delete .bzrignore
  * Add 2017 to license copyright and app years.
  * Bump copyright years
  * Create the default contractor directory
* Fri Jun  8 2018 avvissu@yandex.by
- Switch to git from bzr
- Switch to meson
- Drop copying.patch (fixed)
- Add COPYING and README.md files
- Remove obsolete macros
- Spec file cleanup
* Sat Mar 17 2018 avvissu@yandex.by
- Add the contractor directory
* Fri Jun  9 2017 mailaender@opensuse.org
- Add copying.patch and update license according to upstream
* Sun Sep 18 2016 avvissu@yandex.by
- Update to 0.3.2
- Spec file cleanup
* Sun Jun 15 2014 mailaender@opensuse.org
- initial packaging (version 0.3.1) for build.opensuse.org
